#
# spec file for package python-DateTime
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-DateTime
Version:        5.2
Release:        1.1
Summary:        Zope DateTime data type
License:        ZPL-2.1
Group:          Development/Languages/Python
URL:            https://github.com/zopefoundation/DateTime
Source:         https://files.pythonhosted.org/packages/source/D/DateTime/DateTime-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.7}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pytz
Requires:       python-zope.interface
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module pytz}
BuildRequires:  %{python_module zope.interface}
# /SECTION
%python_subpackages

%description
This package provides a DateTime data type, as known from Zope.
Unless you need to communicate with Zope APIs, you're probably
better off using Python's built-in datetime module.

%prep
%setup -q -n DateTime-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc CHANGES.rst README.rst
%license LICENSE.txt
%{python_sitelib}/*

%changelog
* Mon Jul 24 2023 Dirk Müller <dmueller@suse.com>
- update to 5.2:
  * Cast int to float in compare methods.
  * Fix compare methods between DateTime instances and None.
* Wed May  3 2023 Dirk Müller <dmueller@suse.com>
- update to 5.1:
  * Add missing ``python_requires`` to ``setup.py``.
* Fri Jan 13 2023 Dirk Müller <dmueller@suse.com>
- update to 5.0:
  * Drop support for Python 2.7, 3.5, 3.6.
* Wed Jan  4 2023 Dirk Müller <dmueller@suse.com>
- update to 4.9:
  * Fix regression in 4.7 on Python 2 when calling ``asdatetime``.
  (`#47 <https://github.com/zopefoundation/DateTime/issues/47>`_)
  * Fix insidious buildout configuration bug that prevented tests on Python
    2.7 and 3.5, and fix test code that was incompatible with Python 3.5.
  * Add support for Python 3.11.
* Sat Oct 29 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 4.7:
  * Fix rounding problem with DateTime addition beyond the year 2038 (#41)
* Tue Oct 11 2022 Yogalakshmi Arunachalam <yarunachalam@suse.com>
- Update to version 4.6:
  * Fix __format__ method for DateTime objects (#39)
* Tue Aug  2 2022 Otto Hollmann <otto.hollmann@suse.com>
- Update to 4.5:
  * Add __format__ method for DateTime objects (#35)
- Changes from 4.4:
  * Fix WAT definition #31.
  * Add support for Python 3.8, 3.9, and 3.10.
  * Drop support for Python 3.4.
* Wed May 19 2021 pgajdos@suse.com
- use %%pytest macro in %%check
* Thu Aug  1 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v4.3
